kind: pipeline
type: kubernetes
name: default

node_selector:
  physical-node: dev1

trigger:
  branch:
    - master
  event:
    - push
workspace:
  path: /drone/src

steps:
  - name: build multiarch from dev
    image: docker.io/owncloudci/drone-docker-buildx:4
    privileged: true
    settings:
      cache-from: [ "registry.dev.format.hu/firewall" ]
      registry: registry.dev.format.hu
      repo: registry.dev.format.hu/firewall
      tags: latest
      dockerfile: Dockerfile
      username:
        from_secret: dev-hu-registry-username
      password: 
        from_secret: dev-hu-registry-password
      platforms:
        - linux/amd64
        - linux/arm64
    
  - name: pull image to dockerhub
    image: docker.io/owncloudci/drone-docker-buildx:4
    privileged: true
    settings:
      cache-from: [ "safebox/firewall" ]
      repo: safebox/firewall
      tags: latest
      username:
        from_secret: dockerhub-username
      password: 
        from_secret: dockerhub-password
      platforms:
        - linux/amd64
        - linux/arm64

